librevenge::RVNGStringImpl Class Reference

## Public Member Functions
| RVNGStringImpl ()
bool | empty () const
int | len () const
unsigned long | size () const
void | appendEscapedXML (const char *s, const unsigned long sz)
void | append (const char *s)
void | append (char c)

## Public Attributes
std::string | m_buf

## Constructor & Destructor Documentation

## ◆ RVNGStringImpl()

librevenge::RVNGStringImpl::RVNGStringImpl | ( |  | ) |
| inline

## Member Function Documentation

## ◆ append() [1/2]

void librevenge::RVNGStringImpl::append | ( | char | c | ) |

## ◆ append() [2/2]

void librevenge::RVNGStringImpl::append | ( | const char * | s | ) |

## ◆ appendEscapedXML()

void librevenge::RVNGStringImpl::appendEscapedXML | ( | const char * | s,
|  | const unsigned long | sz )

## ◆ empty()

bool librevenge::RVNGStringImpl::empty | ( |  | ) | const
| inline

Referenced by len().

## ◆ len()

int librevenge::RVNGStringImpl::len | ( |  | ) | const
| inline

## ◆ size()

unsigned long librevenge::RVNGStringImpl::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_buf

std::string librevenge::RVNGStringImpl::m_buf

Referenced by librevenge::RVNGString::append(), append(), append(), appendEscapedXML(), empty(), len(), librevenge::RVNGString::operator<(), librevenge::RVNGString::operator=(), librevenge::RVNGString::operator==(), librevenge::RVNGString::RVNGString(), RVNGStringImpl(), and size().

The documentation for this class was generated from the following file:

- RVNGString.cpp